Skip to main content
Version: Next

Custodian Auth Flows

Data Model

Custodian Auth Flow

A custodian auth flow defines the onboarding requirements for a specific custodian. Each custodian may have one or more flows.

  • expectedFiles (array, required): List of files that must be uploaded during onboarding. Each entry contains:
    • name (string, required): Name identifier for the file (e.g. power-of-attorney, consent, back-office-login).
    • description (string, required): Human-readable description of the file.
    • fileType (string, required): Expected file format (e.g. pdf).
  • supportedConsentTypes (array, required): List of consent types supported by the flow. Possible values: "all", "specific".

Relationships

  • custodian: The custodian that this flow belongs to.

Endpoints

GET /custodian-auth-flows

info

Not yet available.

List all available custodian auth flows.

Examples

200 OK
# Request
GET /api/v2/custodian-auth-flows HTTP/1.1
Accept: application/vnd.api+json
Authorization: Bearer <access token>
Host: platform.aleta.io


# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json

{
"data": [
{
"id": "nordea-20260630",
"type": "custodian-auth-flow",
"attributes": {
"expectedFiles": [
{
"name": "power-of-attorney",
"description": "Signed power of attorney document granting Aleta access to data",
"fileType": "pdf"
},
{
"name": "consent",
"description": "Consent between end customer and API user",
"fileType": "pdf"
}
],
"supportedConsentTypes": [
"all",
"specific"
]
},
"relationships": {
"custodian": {
"data": {
"type": "custodian",
"id": "678e9012f3ab456c78d90123"
}
}
}
},
{
"id": "saxo-20260630",
"type": "custodian-auth-flow",
"attributes": {
"expectedFiles": [
{
"name": "power-of-attorney",
"description": "Signed power of attorney document granting Aleta access",
"fileType": "pdf"
},
{
"name": "consent",
"description": "Consent between end customer and API user",
"fileType": "pdf"
},
{
"name": "back-office-login",
"description": "Back office login information for custodian access",
"fileType": "pdf"
}
],
"supportedConsentTypes": [
"specific"
]
},
"relationships": {
"custodian": {
"data": {
"type": "custodian",
"id": "679a2345b6cd789e01f23456"
}
}
}
}
]
}

GET /custodian-auth-flows/:id

info

Not yet available.

Get a custodian auth flow by its id.

Parameters

  • id (path, required): Custodian auth flow identifier.

Examples

200 OK
# Request
GET /api/v2/custodian-auth-flows/nordea-20260630 HTTP/1.1
Accept: application/vnd.api+json
Authorization: Bearer <access token>
Host: platform.aleta.io


# Response
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json

{
"data": {
"id": "nordea-20260630",
"type": "custodian-auth-flow",
"attributes": {
"expectedFiles": [
{
"name": "power-of-attorney",
"description": "Signed power of attorney document granting Aleta access to data",
"fileType": "pdf"
},
{
"name": "consent",
"description": "Consent between end customer and API user",
"fileType": "pdf"
}
],
"supportedConsentTypes": [
"all",
"specific"
]
},
"relationships": {
"custodian": {
"data": {
"type": "custodian",
"id": "678e9012f3ab456c78d90123"
}
}
}
}
}
404 Not Found

Returned when the custodian auth flow does not exist.